/control/manual /process
Command directory path : /process/


Guidance :
Process Table control commands.

 Sub-directories : 
   /process/eLoss/   Commands for G4VEnergyLoss.
 Commands : 
   list * List up process names
   verbose * Set Verbose Level for Process Table
   setVerbose * Set verbose level for processes
   dump * Dump process information
   activate * Activate processes  
   inactivate * Inactivate process  


Command /process/list
Guidance :
List up process names
  list [type] 
    type: process type [all:for all proceeses]

Parameter : type
 Parameter type  : s
 Omittable       : True
 Default value   : all
 Candidates      : all NotDefined Transportation Electromagnetic Optical Hadronic Photolepton_hadron Decay General Parameterisation UserDefined



Command /process/verbose
Guidance :
Set Verbose Level for Process Table
  verbose [level]
   level: verbose level
 Range of parameters : verbose >=0

Parameter : verbose
 Parameter type  : i
 Omittable       : True
 Default value   : 1



Command /process/setVerbose
Guidance :
Set verbose level for processes
  setVerbose level [type or name] 
    level: verbose level 
    name : process name 
    type : process type 
       [all] for all proceeses 

Parameter : verbose
 Parameter type  : i
 Omittable       : False

Parameter : type
 Parameter type  : s
 Omittable       : True
 Default value   : all



Command /process/dump
Guidance :
Dump process information
 dump name [particle]
   name:     process name or type name
   particle: particle name [all: for all particles]

Parameter : procName
 Parameter type  : s
 Omittable       : False

Parameter : particle
 Parameter type  : s
 Omittable       : True
 Default value   : all



Command /process/activate
Guidance :
Activate processes  
 Activate  name [particle]
   name:     process name or type name
   particle: particle name [all: for all particles]

Parameter : procName
 Parameter type  : s
 Omittable       : False

Parameter : particle
 Parameter type  : s
 Omittable       : True
 Default value   : all



Command /process/inactivate
Guidance :
Inactivate process  
Inactivate processes  
 Inactivate  name [particle]
   name:     process name or type name
   particle: particle name [all: for all particles]

Parameter : procName
 Parameter type  : s
 Omittable       : False

Parameter : particle
 Parameter type  : s
 Omittable       : True
 Default value   : all

Command directory path : /process/eLoss/


Guidance :
Commands for G4VEnergyLoss.

 Sub-directories : 
 Commands : 
   rndmStep * Randomize the proposed step by eLoss.
   fluct * Switch true/false the energy loss fluctuations.
   subsec * Switch true/false the subcutoff generation.
   minsubsec * Set the min. cut for subcutoff delta in range.
   StepFunction * Set the energy loss step limitation parameters.
   minKinEnergy * Set the min kinetic energy
   maxKinEnergy * Set the max kinetic energy
   integral * Switch true/false the integration of cross section over step.


Command /process/eLoss/rndmStep
Guidance :
Randomize the proposed step by eLoss.

Parameter : choice
 Parameter type  : b
 Omittable       : True
 Default value   : 0



Command /process/eLoss/fluct
Guidance :
Switch true/false the energy loss fluctuations.

Parameter : choice
 Parameter type  : b
 Omittable       : True
 Default value   : 1



Command /process/eLoss/subsec
Guidance :
Switch true/false the subcutoff generation.

Parameter : choice
 Parameter type  : b
 Omittable       : True
 Default value   : 1



Command /process/eLoss/minsubsec
Guidance :
Set the min. cut for subcutoff delta in range.

Parameter : rcmin
 Parameter type  : d
 Omittable       : True

Parameter : Unit
 Parameter type  : s
 Omittable       : False



Command /process/eLoss/StepFunction
Guidance :
Set the energy loss step limitation parameters.
  dRoverR   : max Range variation per step
  finalRange: range for final step

Parameter : dRoverR
max Range variation per step (fractional number)
 Parameter type  : d
 Omittable       : False
 Parameter range : dRoverR>0. && dRoverR<=1.

Parameter : finalRange
range for final step
 Parameter type  : d
 Omittable       : False
 Parameter range : finalRange>0.

Parameter : unit
unit of finalRange
 Parameter type  : s
 Omittable       : True
 Default value   : mm
 Candidates      : pc km m cm mm mum nm Ang fm parsec kilometer meter centimeter millimeter micrometer nanometer angstrom fermi



Command /process/eLoss/minKinEnergy
Guidance :
Set the min kinetic energy

Parameter : emin
 Parameter type  : d
 Omittable       : True

Parameter : Unit
 Parameter type  : s
 Omittable       : False
 Candidates      : eV keV MeV GeV TeV PeV J electronvolt kiloelectronvolt megaelectronvolt gigaelectronvolt teraelectronvolt petaelectronvolt joule



Command /process/eLoss/maxKinEnergy
Guidance :
Set the max kinetic energy

Parameter : emax
 Parameter type  : d
 Omittable       : True

Parameter : Unit
 Parameter type  : s
 Omittable       : False
 Candidates      : eV keV MeV GeV TeV PeV J electronvolt kiloelectronvolt megaelectronvolt gigaelectronvolt teraelectronvolt petaelectronvolt joule



Command /process/eLoss/integral
Guidance :
Switch true/false the integration of cross section over step.

Parameter : integ
 Parameter type  : b
 Omittable       : True
 Default value   : 1

